summaryrefslogtreecommitdiffstats
path: root/system/omnidb-app
diff options
context:
space:
mode:
author Gabriel Diniz Gisoldo2018-05-25 22:43:04 +0200
committer Willy Sudiarto Raharjo2018-05-26 01:59:27 +0200
commit5ba53c12e0f1b143afa1295c52da43c9f2cfbd4f (patch)
tree14133460339522d64f16417d55ac9ce59879d3a5 /system/omnidb-app
parentd7c141fcb54d2108099ac42e0814ed94d7f1eb7e (diff)
downloadslackbuilds-5ba53c12e0f1b143afa1295c52da43c9f2cfbd4f.tar.gz
system/omnidb-app: Added (Database Management System).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/omnidb-app')
-rw-r--r--system/omnidb-app/README7
-rw-r--r--system/omnidb-app/doinst.sh9
-rw-r--r--system/omnidb-app/omnidb-app.SlackBuild86
-rw-r--r--system/omnidb-app/omnidb-app.info10
-rw-r--r--system/omnidb-app/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/system/omnidb-app/README b/system/omnidb-app/README
new file mode 100644
index 0000000000..dc5c54d3fd
--- /dev/null
+++ b/system/omnidb-app/README
@@ -0,0 +1,7 @@
+OmniDB is an open source browser-based app designed to access and
+manage many different Database Management systems, e.g. PostgreSQL,
+Oracle and MySQL. OmniDB can run either as an App or via Browser,
+combining the flexibility needed for various access paths with a
+design that puts security first. OmniDB is actively developed,
+automatically tested on a variety of databases and browsers and
+comes with full documentation.
diff --git a/system/omnidb-app/doinst.sh b/system/omnidb-app/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/system/omnidb-app/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/omnidb-app/omnidb-app.SlackBuild b/system/omnidb-app/omnidb-app.SlackBuild
new file mode 100644
index 0000000000..dfbfabeea1
--- /dev/null
+++ b/system/omnidb-app/omnidb-app.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for omnidb-app
+#
+# Copyright 2018 Gabriel Diniz Gisoldo, Santo Andre, SP, Brasil
+#
+# This work is based on AlienBOB's Chromium SlackBuild
+# http://www.slackware.com/~alien/slackbuilds/chromium/
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=omnidb-app
+VERSION=${VERSION:-2.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ DEBARCH="i386"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/omnidb-app_${VERSION}-debian-${DEBARCH}.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+sed -i -e "s#Icon=omnidb#Icon=/usr/share/icons/hicolor/128x128/apps/omnidb.png#" \
+ $PKG/usr/share/applications/omnidb-app.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/omnidb-app/omnidb-app.info b/system/omnidb-app/omnidb-app.info
new file mode 100644
index 0000000000..d0e632704b
--- /dev/null
+++ b/system/omnidb-app/omnidb-app.info
@@ -0,0 +1,10 @@
+PRGNAM="omnidb-app"
+VERSION="2.8.0"
+HOMEPAGE="https://omnidb.org/en/"
+DOWNLOAD="https://omnidb.org/dist/2.8.0/omnidb-app_2.8.0-debian-i386.deb"
+MD5SUM="c29bf16cb6b5558a7a93f8eb0dfeb868"
+DOWNLOAD_x86_64="https://omnidb.org/dist/2.8.0/omnidb-app_2.8.0-debian-amd64.deb"
+MD5SUM_x86_64="b67c7d72a856a9d43019164962816712"
+REQUIRES=""
+MAINTAINER="Gabriel Diniz Gisoldo"
+EMAIL="gabrielgisoldi@gmail.com"
diff --git a/system/omnidb-app/slack-desc b/system/omnidb-app/slack-desc
new file mode 100644
index 0000000000..84f0f12f73
--- /dev/null
+++ b/system/omnidb-app/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+omnidb-app: omnidb-app (Open Source Database Management System - App Standalone)
+omnidb-app:
+omnidb-app: OmniDB is an open source browser-based app designed to access and
+omnidb-app: manage many different Database Management systems, e.g. PostgreSQL,
+omnidb-app: Oracle and MySQL. OmniDB can run either as an App or via Browser,
+omnidb-app: combining the flexibility needed for various access paths with a
+omnidb-app: design that puts security first. OmniDB is actively developed,
+omnidb-app: automatically tested on a variety of databases and browsers and
+omnidb-app: comes with full documentation.
+omnidb-app:
+omnidb-app: Homepage: https://omnidb.org/en/